ToolPouch

Build with ToolPouch

Free SDK for dates, text, data, and 50+ utility functions. Zero dependencies. TypeScript included.

Get started

Install the SDK

npm install @toolpouch/sdkView on npm →

Code examples

import { businessDaysBetween } from '@toolpouch/sdk/dates';
const result = businessDaysBetween('2026-01-01', '2026-12-31');
// { businessDays: 261, calendarDays: 364, weekendDays: 104 }
import { formatJSON, csvToJson } from '@toolpouch/sdk/data';
const formatted = formatJSON('{"name":"test"}', 2);
import { toCamelCase, extractUrls } from '@toolpouch/sdk/text';
const camel = toCamelCase('hello world'); // 'helloWorld'

SDK modules

Choose the module that fits your use case

Cloud API

Server-side image, PDF, and video processing

Process files you can't handle in the browser

Example

curl -X POST https://api.toolpouch.app/v1/process \
  -H "Authorization: Bearer YOUR_KEY" \
  -F "[email protected]" \
  -F "tool=resize" \
  -F "options={...}"